{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnutls/gnutls-utils",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnutls-utils_command_certtool_001",
            "desc": "测试 certtool 命令的 --generate-privkey 参数，用于生成私钥文件。",
            "machine num": 1
        },
        {
            "name": "test_gnutls-utils_command_certtool_009",
            "desc": "测试 certtool 命令的 --generate-dh-params 参数，用于生成 diffie-hellman 参数文件。",
            "machine num": 1
        },
        {
            "name": "test_gnutls-utils_command_certtool_011",
            "desc": "测试 certtool 命令的 --generate-proxy 参数，用于生成代理证书。",
            "machine num": 1
        },
        {
            "name": "test_gnutls-utils_certtool_p_generate_privkey",
            "desc": "生成一个私钥"
        },
        {
            "name": "test_gnutls-utils_danetool_v",
            "desc": "显示 danetool 工具的版本信息"
        },
        {
            "name": "test_gnutls-utils_danetool_h",
            "desc": "显示 danetool 工具的详细帮助信息"
        },
        {
            "name": "test_gnutls-utils_danetool_upper_v",
            "desc": "输出更详细的日志信息"
        },
        {
            "name": "test_gnutls-utils_danetool__check__check_ee",
            "desc": "仅检查终端实体的 DANE 证书记录"
        },
        {
            "name": "test_gnutls-utils_danetool__tlsa_rr__host__port",
            "desc": "使用指定端口为主机名生成 DANE RR 数据"
        },
        {
            "name": "test_gnutls-utils_danetool__inder",
            "desc": "以 DER 格式读取输入的证书和私钥"
        },
        {
            "name": "test_gnutls-utils_danetool__debug_num_1",
            "desc": "设置调试级别为1以启用较少的调试信息"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_d",
            "desc": "测试使用调试模式连接服务器"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_verify-hostname",
            "desc": "测试指定用于验证的服务器主机名"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_u",
            "desc": "测试使用DTLS（数据报TLS）通过UDP连接"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_upper_l",
            "desc": "测试打印支持的算法和模式列表"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_version",
            "desc": "测试输出版本信息"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_help",
            "desc": "测试显示帮助信息"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_starttls-proto",
            "desc": "测试通过STARTTLS使用特定应用协议（如SMTP）建立连接"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_ocsp",
            "desc": "测试启用OCSP证书验证"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_save-cert",
            "desc": "测试将对等方证书链保存到指定文件"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_alpn",
            "desc": "测试指定应用层协议（ALPN）"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli-debug__h",
            "desc": "测试仅使用 -h 参数输出扩展帮助信息"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli-debug__p_num_443",
            "desc": "测试使用 -p 443 参数连接到指定的 HTTPS 端口"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_alpn_fatal",
            "desc": "测试gnutls-serv命令的alpn-fatal参数，在不匹配的ALPN名称时发送致命告警"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_compress_cert",
            "desc": "测试gnutls-serv命令的compress-cert参数，压缩证书"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_dhparams",
            "desc": "测试gnutls-serv命令的dhparams参数，指定使用的DH参数文件"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_rawpkfile",
            "desc": "测试gnutls-serv命令的rawpkfile参数，指定使用的原始公钥文件"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_srppasswd",
            "desc": "测试gnutls-serv命令的srppasswd参数，指定使用的SRP密码文件"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_l",
            "desc": "测试gnutls-serv命令的list参数，打印支持的算法和模式列表"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_provider",
            "desc": "测试gnutls-serv命令的provider参数，指定PKCS #11供应商库"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_keymatexport",
            "desc": "测试gnutls-serv命令的keymatexport参数，指定用于导出密钥材料的标签"
        },
        {
            "name": "test_gnutls-utils_ocsptool__v",
            "desc": "显示ocsptool命令的版本信息"
        },
        {
            "name": "test_gnutls-utils_ocsptool__upper_v",
            "desc": "更详细的输出信息"
        },
        {
            "name": "test_gnutls-utils_ocsptool__infile",
            "desc": "指定输入文件"
        },
        {
            "name": "test_gnutls-utils_ocsptool__ask",
            "desc": "向OCSP/HTTP服务器询问证书有效性"
        },
        {
            "name": "test_gnutls-utils_ocsptool__nonce",
            "desc": "在OCSP请求中使用或不使用nonce"
        },
        {
            "name": "test_gnutls-utils_p11tool_list_tokens",
            "desc": "列出所有可用的令牌"
        },
        {
            "name": "test_gnutls-utils_p11tool_export",
            "desc": "导出URL指定的对象"
        },
        {
            "name": "test_gnutls-utils_p11tool_delete",
            "desc": "删除匹配给定PKCS #11 URL的对象"
        },
        {
            "name": "test_gnutls-utils_p11tool_login",
            "desc": "强制（用户）登录到令牌"
        },
        {
            "name": "test_gnutls-utils_p11tool_test_sign",
            "desc": "测试指定对象的签名操作"
        },
        {
            "name": "test_gnutls-utils_tpmtool_debug",
            "desc": "使用debug参数开启调试"
        },
        {
            "name": "test_gnutls-utils_function_server_start",
            "desc": "测试使用gnutls-serv启动基本的SSL/TLS服务器。"
        },
        {
            "name": "test_gnutls-utils_function_p11tool_list",
            "desc": "测试使用p11tool列出可用PKCS#11令牌。"
        },
        {
            "name": "test_gnutls-utils_function_uninstall",
            "desc": "测试gnutls-utils软件包的卸载功能，确保能从系统中完全移除。"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_save-server-trace",
            "desc": "使用 --save-server-trace 参数将对等方的服务器端TLS消息跟踪保存到提供的文件中"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv__q",
            "desc": "测试 gnutls-serv 命令的静默模式，抑制部分消息输出"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv__nodb",
            "desc": "测试 gnutls-serv 命令不使用恢复数据库"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv__p",
            "desc": "测试 gnutls-serv 命令监听指定端口 4433"
        },
        {
            "name": "test_gnutls-utils_danetool_outfile",
            "desc": "测试指定输出文件"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_attime",
            "desc": "测试 gnutls-cli 命令在指定时间戳而不是系统时间执行验证"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_ocsp-response",
            "desc": "使用ocsp-response参数指定发送给客户端的OCSP响应"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_p",
            "desc": "使用port参数指定服务器监听的端口号"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_v",
            "desc": "使用version参数输出版本信息"
        },
        {
            "name": "test_gnutls-utils_p11tool_so_login",
            "desc": "测试强制安全官登录令牌的功能"
        },
        {
            "name": "test_gnutls-utils_psktool_s_u",
            "desc": "测试psktool命令同时指定密钥大小和用户名的功能"
        },
        {
            "name": "test_gnutls-utils_tpmtool__infile",
            "desc": "测试指定输入文件"
        },
        {
            "name": "test_gnutls-utils_certtool_p",
            "desc": "生成一个私钥"
        },
        {
            "name": "test_gnutls-utils_certtool_k",
            "desc": "打印私钥信息"
        },
        {
            "name": "test_gnutls-utils_danetool_upper_h",
            "desc": "测试使用help参数显示扩展用法信息"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_srpusername",
            "desc": "测试gnutls-cli设置SRP用户名"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_pskusername",
            "desc": "测试gnutls-cli设置PSK用户名"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_pskkey",
            "desc": "测试gnutls-cli设置PSK密钥"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_insecure",
            "desc": "测试gnutls-cli在服务器证书无法验证时不中止程序"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_verify_allow_broken",
            "desc": "测试gnutls-cli允许在证书验证中使用破损算法"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_benchmark_ciphers",
            "desc": "测试gnutls-cli对单个密码套件进行基准测试"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_l",
            "desc": "测试gnutls-cli打印支持的算法和模式列表"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_single_key_share",
            "desc": "测试gnutls-cli在TLS1.3下发送单个密钥共享"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_post_handshake_auth",
            "desc": "测试gnutls-cli在TLS1.3下启用握手后认证"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_fips140_mode",
            "desc": "测试gnutls-cli报告gnutls库中FIPS140-2模式的状态"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_list_config",
            "desc": "测试gnutls-cli报告库的配置"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_keymatexport",
            "desc": "测试gnutls-cli设置用于导出密钥材料的标签"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_waitresumption",
            "desc": "测试gnutls-cli在TLS1.3下阻塞等待恢复数据"
        },
        {
            "name": "test_gnutls-utils_gnutls-serv_h",
            "desc": "测试 gnutls-serv 命令的 help 参数，显示扩展用法信息"
        },
        {
            "name": "test_gnutls-utils_certtool_key_type",
            "desc": "指定密钥生成时使用的密钥类型"
        },
        {
            "name": "test_gnutls-utils_certtool_bits",
            "desc": "指定密钥生成的位数"
        },
        {
            "name": "test_gnutls-utils_danetool_help",
            "desc": "测试显示 danetool 命令的扩展帮助信息（长选项）"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_sni_hostname",
            "desc": "测试设置服务器名称指示扩展的主机名"
        },
        {
            "name": "test_gnutls-utils_gnutls-cli_save_cert",
            "desc": "测试将对等证书链保存到指定文件"
        },
        {
            "name": "test_gnutls-utils_p11tool_v",
            "desc": "输出版本信息并退出"
        },
        {
            "name": "test_gnutls-utils_p11tool_h",
            "desc": "显示扩展使用信息并退出"
        }
    ]
}